Subject: bug#6750: Byte compiler: spurious message "cl used at runtime"

From: Stefan Monnier <[email-masked]>
Date: Fri, 30 Jul 2010 11:18:05 +0200

>> This macro will be in the .elc.  This means it can be called "at run
>> time" (e.g. if you do M-: (c-declare-lang-variables ...) RET).
> That brought a smile to my face.  It's pure sophistry. :-)

Except that this is not the reason I put the warning, but the reason why
the byte-compiler's code thinks the warning is warranted.
The byte-compiler is fairly stupid and doesn't know that this macro is
not intended to be used at runtime.

I agree it's not great, and it leads to "spurious" warnings like that.
Suggestions (and patches even better) welcome to try and resolve
the problem.

        Stefan